#ifndef _SUI_DTRANS_H_
  #define _SUI_DTRANS_H_

#include "sui_dinfo.h"

  typedef struct sui_lintrans_par {
    int refcnt;
    long multiply;
    long divide;
    long offset;
  } sui_lintrans_par_t;

void sui_lintrans_par_inc_refcnt(sui_lintrans_par_t *par);
void sui_lintrans_par_dec_refcnt(sui_lintrans_par_t *par);
int sui_lintrans_mul_div(long *res, long val, long mul, long div);
int sui_lintrans_proxy_rdval(sui_dinfo_t *dinfo, long indx, void *buf);
int sui_lintrans_proxy_wrval(sui_dinfo_t *dinfo, long indx, const void *buf);
sui_dinfo_t *dinfo_lintrans_proxy( sui_dinfo_t *dfrom, int afdig, 
             long amin, long amax, sui_lintrans_par_t *trans_par, int options);

#define SUI_TRANS_OPT_LIMRD 0x10

#endif /*_SUI_DTRANS_H_*/



