#ifndef UL_DBUFFLOG_H
#define UL_DBUFFLOG_H

#include "ul_dbuff.h"

#define LOG_FATAL   0
#define LOG_ERR     1
#define LOG_MSG     2
#define LOG_INF     3
#define LOG_DEB     4

/**
 * ul_dbuff_log_hex - writes content of dbuff to log
 * @buf: buffer structure
 * @log_level: logging level
 */
void ul_dbuff_log_hex(ul_dbuff_t *buf, int log_level);

#endif // UL_DBUFFLOG_H

