/* sui_internal.h
 *
 * Header file for internal SUITK definitions.
 * 
 * Version 0.1
 * Copyright holders and project originators
 *   (C) 2002 by Roman Bartosinski, bartosr@centrum.cz
 *   (C) 2002 by PiKRON Ltd. http://www.pikron.com
 *   (C) 2001 by Pavel Pisa pisa@cmp.felk.cvut.cz
 *
 * The SUITK project can be used and copied under next licenses
 *   - MPL - Mozilla Public License
 *   - GPL - GNU Public License
 *   - LGPL - Lesser GNU Public License
 *   - and other licenses added by project originators
 * Code can be modified and re-distributed under any combination
 * of the above listed licenses. If contributor does not agree with
 * some of the licenses, he can delete appropriate line.
 * Warning, if you delete all lines, you are not allowed to
 * distribute code or build project.
 *
 */

#ifndef _SUI_INTERNAL_H_
  #define _SUI_INTERNAL_H_

#define SUI_DINFO_WITH_EVC

/* Workaround for gcc <2.96, which does not support unnamed unions */

#if (GCC_VERSION >= 2096)
  #define u_u
  #define u_ud()
#else
  #define u_u    u
  #define u_ud() u.
#endif /* GNUC >= 2.96 */
  
#endif /* _SUI_INTERNAL_H_ */
