#ifndef VCASDO_MSG_H
#define VCASDO_MSG_H

#ifndef __RTL__
#include <inttypes.h>
#else /*__RTL__*/
#include <linux/types.h>
#endif /*__RTL__*/


#ifdef __cplusplus
extern "C" {
#endif

/**
 * vcasdo_abort_msg - translates SDO abort_code to the string message
 * @abort_code: abort code
 *
 * Header: %vcasdo_msg.h
 */
const char* vcasdo_abort_msg(uint32_t abort_code);

#ifdef __cplusplus
} /* extern "C"*/
#endif

#endif

